<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>"
lang="<?php dcInfo('lang'); ?>">
<head>
	<meta http-equiv="Content-Type"
	content="text/html; charset=<?php dcInfo('encoding'); ?>" />
	<meta name="MSSmartTagsPreventParsing" content="TRUE" />
	<?php dcHeadLinks(); ?>
	<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom" href="<?php dcInfo('atom'); ?>" />
	<meta name="DC.title" content="<?php dcInfo(); ?>" />
	<title><?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - ');
	dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?></title>

	<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
	<?php dcPostTrackbackAutoDiscovery(); ?>
</head>

<body>

<div id="polaroid" class="polaroid<?php echo(rand(1,1)); ?>">
&nbsp;
</div>
<div id="header-img">
	<a href="<?php dcInfo('url'); ?>" accesskey="1"><img src="<?php dcInfo('theme');?>/img/header_img.jpg" alt="<?php dcInfo(); ?>" /></a>
</div>

<p id="prelude"><a href="#main">Aller au contenu</a> |
<a href="#sidebar">Aller au menu</a> |
<a href="#search">Aller &agrave; la recherche</a></p>

<div id="page">
<div id="main">

	<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
		<div class="error"><strong>Erreur : </strong>
		<?php echo $err_msg; ?></div>

	<?php elseif ($preview) : /* Si on demande la pr�visualisation d'un commentaire */?>
		<h3>Commentaire pour <?php dcPostTitle(); ?></h3>
		<div id="comment-preview">
			<blockquote>
			<?php dcCommentPreview(); ?>
			</blockquote>
		</div>
		
		<h3>Changer le commentaire</h3>
		<?php include dirname(__FILE__).'/form.php'; ?>
		
	<?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>

		<?php # Phrase affich� en cas de recherche (%s est le mot cherch�)
		dcSearchString('<p>R&eacute;sultats de votre recherche de <em>%s</em>.</p>'); ?>
		
		<?php include dirname(__FILE__).'/list.php'; ?>
		
	<?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
		<?php include dirname(__FILE__).'/post.php'; ?>
	<?php endif; ?>
	
</div>

<div id="sidebar">
<ul>
<li>
	<div class="sidebox" id="calendar">
	<div class="boxhead"><h3>Calendrier</h3></div>
	<div class="boxbody">
	<?php #Affichage du calendrier
	dcCalendar('<div><table summary="Calendrier">%s</table></div>'); ?>
	</div>
	</div>
</li>

<li>	
	<div class="sidebox" id="search">
		<div class="boxhead"><h3><label for="q">Rechercher</label></h3></div>
		<div class="boxbody">
			<form action="<?php dcInfo('search'); ?>" method="get">
			<p class="field"><input name="q" id="q" type="text" size="10"
			value="<?php dcSearchString(); ?>" accesskey="4" />
			<input type="submit" class="submit" value="ok" /></p>
			</form>
		</div>
	</div>
</li>

<?php /* Affichage du blog "selection uniquement si des billets sont
	pr�sents */ ?>
<?php dcSelection('<li><div class="sidebox" id="selection"><div class="boxhead"><h3>&Agrave; retenir</h3></div><div class="boxbody"><ul>%s</ul></div></div></li>'); ?>

<?php dcLangList('<li><div class="sidebox" id="languages"><div class="boxhead"><h3>Langues</h3></div><div class="boxbody"><ul>%s</ul></div></div></li>'); ?>

<li>
	<div class="sidebox" id="categories">
		<div class="boxhead"><h3>Rubriques</h3></div>
		<div class="boxbody">
		<?php dcCatList(); ?>
		</div>
	</div>
</li>

<li>
	<div class="sidebox" id="archives">
		<div class="boxhead"><h3>Archives</h3></div>
		<div class="boxbody">
		<?php dcMonthsList(); ?>
		</div>
	</div>
</li>

<li>
	<div class="sidebox" id="links">
		<div class="boxhead"><h3>Liens</h3></div>
		<div class="boxbody">
		<?php dcBlogroll::linkList('<h4>%s</h4>','<ul>%s</ul>','<li>%s</li>'); ?>
		</div>
	</div>
</li>

<li>
	<div class="sidebox" id="syndicate">
	<div class="boxhead"><h3>Syndication</h3></div>
	<div class="boxbody">
	<ul>
		<li><a href="<?php dcInfo('rss'); ?>"><img src="<?php dcInfo('theme');?>/img/rss_1.png" alt="fil RSS 1.0" /></a></li>
		<li><a href="<?php dcInfo('rss'); ?>?type=co"><img src="<?php dcInfo('theme');?>/img/rss_co.png" alt="fil RSS Commentaires" /></a></li>
		<li><a href="<?php dcInfo('atom'); ?>"><img src="<?php dcInfo('theme');?>/img/atom_03.png" alt="fil Atom 0.3" /></a></li>
		<li><a href="<?php dcInfo('atom'); ?>?type=co"><img src="<?php dcInfo('theme');?>/img/atom_co.png" alt="fil Atom Commentaires" /></a></li>
	</ul>
	</div>
	</div>
</li>

</ul>
</div> <!-- main -->
</div> <!-- page -->

<div id="footer"><p>Les propos tenus ici sont sous la responsabilit&eacute; de leurs auteurs respectifs - Adapt&eacute; par <a href="http://franck.paul.free.fr/dotclear/">Franck Paul</a>.</p>
<p>
 <a href="http://www.dotclear.net/"><img src="<?php dcInfo('theme');?>/img/dotclear_pw.png" alt="Propuls&eacute; par DotClear" /></a>
 <a href="http://www.mozilla-europe.org/fr/products/firefox/"><img src="<?php dcInfo('theme');?>/img/firefox_pixel.png" alt="Get Firefox!" /></a>
 <a href="http://validator.w3.org/check/referer"><img src="<?php dcInfo('theme');?>/img/valid_xhtml.png" alt="XHTML Valide ?" /></a>
 <a href="http://jigsaw.w3.org/css-validator/check/referer" title="CSS Valide ?"><img src="<?php dcInfo('theme');?>/img/valid_css.png" alt="CSS Valide ?" /></a>
</p>
</div>

</body>
</html>